<copyright> gtomk HelloWorld2 example.
    A rewrite in TOM of the original helloworld2.c example,
    as it appears in the gtk+-0.99.9 distribution.
    By <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: HelloWorld2.t,v 1.4 1998/04/05 17:24:23 tiggr Exp $</id>
    </copyright>

implementation class
HelloWorld2: Constants

<doc> Our improved (sort-of) callback (more or less).  This method is
    triggered by the button passed as {sender}; it prints the {data}
    String to {stdout}.  </doc>
void
  withData String data
   clicked GtkButton sender
{
  [[[stdio out] print ("Hello again - ", data, " was pressed")] nl];
}

boolean
  delete_event pointer event
{
  [gtomk main_quit];
}

int
  main MutableArray args
{
  [gtomk init args];

  GtkWindow window = [GtkWindow new GTK_WINDOW_TOPLEVEL];
  [window set_title "Hello Buttons!"];
  [window connect "delete_event" to self using selector ("o_delete_event_p")];
  [window border_width 10];

  GtkHBox box1 = [GtkHBox new (FALSE, 0)];
  [window add box1];

  GtkButton button = [GtkButton new_with_label "Button 1"];
  [button connect "clicked"
	  to [Invocation for selector ("v_withData_r_clicked_r")
			 to: self with "button 1"]
	  using selector ("v_clicked_r") includeSender: TRUE];
  [box1 pack_start (button, TRUE, TRUE, 0)];

  [button show];

  button = [GtkButton new_with_label "Button 2"];
  [button connect "clicked"
	  to [Invocation for selector ("v_withData_r_clicked_r")
			 to: self with "button 2"]
	  using selector ("v_clicked_r") includeSender: TRUE];
  [box1 pack_start (button, TRUE, TRUE, 0)];

  [button show];
  [box1 show];
  [window show];

  /* This method does not return.  */
  [gtomk main];
}

deferred void clicked GtkButton sender;

end;

implementation instance
HelloWorld2

end;
