<copyright> gtomk ScrolledWindow class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: ScrolledWindow.t,v 1.6 1998/04/14 13:25:56 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkScrolledWindow: GtkContainer

instance (id)
  new (GtkAdjustment, GtkAdjustment) (hadjustment, vadjustment)
{
  pointer p, hobj, vobj;

  if (hadjustment != nil)
    hobj = [hadjustment gtkAdjustment];
  if (vadjustment != nil)
    vobj = [vadjustment gtkAdjustment];
<c>
  p = gtk_scrolled_window_new (hobj, vobj);
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkScrolledWindow

<doc> Return the {gtkScrolledWindow} for which this object stands.  </doc>
pointer
  gtkScrolledWindow
{
  = object;
}

void
  construct (GtkAdjustment, GtkAdjustment) (hadjustment, vadjustment)
{
  pointer obj = object, hobj, vobj;
  if (hadjustment != nil)
    hobj = [hadjustment gtkAdjustment];
  if (vadjustment != nil)
    vobj = [vadjustment gtkAdjustment];
<c>
  gtk_scrolled_window_construct (obj, hobj, vobj);
</c>
}

GtkAdjustment (hadjustment)
  get_hadjustment
{
  pointer p, obj = object;
<c>
  p = gtk_scrolled_window_get_hadjustment (obj);
</c>
  if (!!p)
    hadjustment = [GtkAdjustment proxy p];
}

GtkAdjustment (vadjustment)
  get_vadjustment
{
  pointer p, obj = object;
<c>
  p = gtk_scrolled_window_get_vadjustment (obj);
</c>
  if (!!p)
    vadjustment = [GtkAdjustment proxy p];
}

void
  set_policy (int, int) (GTK_POLICY_hscrollbar, GTK_POLICY_vscrollbar)
{
  pointer obj = object;
<c>
  gtk_scrolled_window_set_policy (obj, GTK_POLICY_hscrollbar,
				  GTK_POLICY_vscrollbar);
</c>
}

end;
